package jj.tech.paolu.biz.webadmin.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;

import java.util.List;

public class AdminListVo extends PageVo{
	 @NotBlank(message = "用户名不能为空")
     @Schema(description = "用户名")
	 public String username;

     @NotBlank(message = "密码不能为空")
     @Schema(description = "登录密码")
     public String password;

     @Schema(description = "真实姓名")
     public String realname;

	@Schema(description = "手机")
	private String phone;

     @Schema(description = "0正常,1锁定")
     public Integer islock;

	@Schema(description = "用户类型，0普通用户，1企业管理员")
	public Integer type;

	@Schema(description = "组织id")
	private String org_id;

	@Schema(description = "性别")
	public Integer gender;

	@Schema(description = "职位")
	public String job;

	@Schema(description = "角色id")
	public List<String> rolesId;

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getOrg_id() {
		return org_id;
	}

	public void setOrg_id(String org_id) {
		this.org_id = org_id;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getRealname() {
		return realname;
	}

	public void setRealname(String realname) {
		this.realname = realname;
	}

	public Integer getIslock() {
		return islock;
	}

	public void setIslock(Integer islock) {
		this.islock = islock;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getGender() {
		return gender;
	}

	public void setGender(Integer gender) {
		this.gender = gender;
	}

	public String getJob() {
		return job;
	}

	public void setJob(String job) {
		this.job = job;
	}

	public List<String> getRolesId() {
		return rolesId;
	}

	public void setRolesId(List<String> rolesId) {
		this.rolesId = rolesId;
	}
}
